10  CLS:KEY OFF:A$=STRING$(48,205)
20  LOCATE 12,15:PRINT CHR$(201);A$;CHR$(187)
30  LOCATE 13,15:PRINT CHR$(186);"             SPANISH VERB CONJUGATOR            ";CHR$(186)
40  LOCATE 14,15:PRINT CHR$(186);"              BY RAOUL L. FERNANDEZ             ";CHR$(186)
50  LOCATE 15,15:PRINT CHR$(186);"                20 CHATHAM TERRACE              ";CHR$(186)
60  LOCATE 16,15:PRINT CHR$(186);"              BRIDGEPORT, CONNECTICUT           ";CHR$(186)
70  LOCATE 17,15:PRINT CHR$(186);" Your comments & suggestions would be welcomed  ";CHR$(186)
80  LOCATE 18,15:PRINT CHR$(200);A$;CHR$(188)
90  LOCATE 24,40:PRINT "PRESS ANY KEY TO CONTINUE";
100  B$=INKEY$:IF B$="" THEN 100
110  CLS:PRINT
120  PRINT "THIS PROGRAM CONJUGATES REGULAR SPANISH INFINITIVES INTO ANY OF EIGHT TENSES."
130  PRINT:PRINT "THE TENSES USED AND THEIR MEANINGS ARE;":PRINT
140  PRINT "PRESENT...............current action as ";CHR$(34);"I AM HERE";CHR$(34)
150  PRINT "INDICATIVE PRETERITE..absolute past action as ";CHR$(34);"HE HAS LEFT";CHR$(34)
160  PRINT "INDICATIVE IMPERFECT..past contingency as ";CHR$(34);"HE WAS HERE WHEN I ARRIVED";CHR$(34)
170  PRINT "FUTURE................action yet to occur as ";CHR$(34);"I WILL BE HERE";CHR$(34)
180  PRINT "SUBJUNCTIVE...........future contingency as ";CHR$(34);"I MAY BE HERE";CHR$(34)
190  PRINT "IMPERATIVE............a command given as ";CHR$(34);"YOU MUST BE HERE";CHR$(34)
200  PRINT "GERUND................the use of a verb as a noun as ";CHR$(34);"HE IS LOVING";CHR$(34)
210  PRINT "PAST PARTICIPLE.......the use of a verb as an adjective as ";CHR$(34);"I LOST THE RACE";CHR$(34)
220  PRINT:PRINT"The verb types recognized are those that end in the dipthongs `ar',`er' and `ir'"
230  PRINT "ie `comprar'(to buy),`temer' (to fear) and `vivir' (to live)"
240  LOCATE 24,40:PRINT "PRESS ANY KEY TO CONTINUE";
250  B$=INKEY$:IF B$="" THEN 250
260  FLAG=0:CLS:LOCATE 2,1:INPUT "PLEASE ENTER THE VERB TO BE CONJUGATED ";C$
270  FOR A=1 TO LEN(C$):D$=MID$(C$,A,1):D=ASC(D$):IF D>64 AND D<91 THEN D=D+32
280  D$=CHR$(D):MID$(C$,A,1)=D$:NEXT
290  E$=RIGHT$(C$,2):F$=LEFT$(C$,(A-3))
300  IF E$="er" THEN 390
310  IF E$="ir" THEN 400
320  IF E$<>"ar" THEN 330 ELSE 380
330  BEEP:PRINT "Please check your spelling. If it is correct it means you have probably"
340  PRINT "entered an irregular verb that is not recognized by the program."
350  LOCATE 24,40:PRINT "PRESS ANY KEY TO CONTINUE";
360  B$=INKEY$:IF B$="" THEN 360
370  GOTO 260
380  RESTORE 440:GOTO 410
390  RESTORE 460:GOTO 410
400  RESTORE 480:GOTO 410
410  GOSUB 520 'format screen
420  GOSUB 680 'print root + ending
430  IF I$="N" OR I$="n" THEN END ELSE 260
440  DATA o,FOR,aba,as,aste,abas,a,TRON,aba,amos,amos,WIDTHbamos,WIDTHis,asteis,abais,an,aron,aban
450  DATA arFOR,*,e,arWIDTHs,a,es,arWIDTH,e,e,aremos,emos,emos,arFORis,ad,FORis,arWIDTHn,en,en
460  DATA o,i,GOSUBa,es,iste,GOSUBas,e,ELSETRON,ELSEa,emos,imos,ELSEamos,FORis,isteis,ELSEais,en,ieron,ELSEan
470  DATA erFOR,*,a,erWIDTHs,e,as,erWIDTH,a,a,eremos,amos,amos,erFORis,ed,WIDTHis,erWIDTHn,an,an
480  DATA o,ELSE,ELSEa,es,iste,ELSEas,e,iTRON,ELSEa,imos,imos,ELSEamos,ELSEs,isteis,ELSEais,en,ieron,ELSEan
490  DATA irFOR,*,a,irWIDTHs,e,as,irWIDTH,a,a,iremos,amos,amos,irFORis,id,WIDTHis,irWIDTHn,an,an
500  END
510  'SUBROUTINE TO FORMAT SCREEN
520  CLS:LOCATE 1,1:PRINT "VERB TO BE CONJUGATED ;";C$
530  G$=STRING$(80,A$):PRINT G$
540  LOCATE 3,20:PRINT "PRESENT":LOCATE 3,40:PRINT "INDIC. PRETER":LOCATE 3,60:PRINT "INDIC. IMPERF."
550  LOCATE 4,1:PRINT "YO (I)":LOCATE 5,1:PRINT "TU (YOU FAMILIAR)"
560  LOCATE 6,1:PRINT "USTED (YOU FORM.)":LOCATE 7,1:PRINT "NOSOTROS (WE)"
570  LOCATE 8,1:PRINT "VOSOTROS (YOU PL)"
580  LOCATE 9,1:PRINT "ELLOS (THEY)"
590  PRINT G$
600  LOCATE 11,20:PRINT "FUTURE":LOCATE 11,40:PRINT "IMPERATIVE":LOCATE 11,60:PRINT "SUBJUNCTIVE"
610  LOCATE 12,1:PRINT "YO (I)":LOCATE 13,1:PRINT "TU (YOU FAMILIAR)"
620  LOCATE 14,1:PRINT "USTED (YOU FORM.)":LOCATE 15,1:PRINT "NOSOTROS (WE)"
630  LOCATE 16,1:PRINT "VOSOTROS (YOU PL)":LOCATE 17,1:PRINT "ELLOS (THEY)":
640  PRINT G$:LOCATE 19,20:PRINT "GERUND":LOCATE 19,40:PRINT "PAST PARTICIPLE"
650  LOCATE 20,1:PRINT "ALL PERSONS":PRINT G$
660  LOCATE 22,1:PRINT "* there is no first person form in the imperative tense"
670  RETURN
680  FOR X=4 TO 9:FOR Y= 20 TO 60 STEP 20:READ AR$:LOCATE X,Y
690  PRINT F$+AR$:NEXT :NEXT
700  FOR X=12 TO 17:FOR Y= 20 TO 60 STEP 20:READ AR$:LOCATE X,Y
710  PRINT F$+AR$:NEXT :NEXT:GOTO 720
720  IF E$="ar" THEN 730 ELSE 740
730  LOCATE 20,20:PRINT F$+"ando":LOCATE 20,40:PRINT F$+"ado":GOTO 750
740  LOCATE 20,20:PRINT F$+"iendo":LOCATE 20,40:PRINT F$+"ido"
750  LOCATE 12,40:PRINT "*            "
760  LOCATE 24,1:INPUT "DO YOU WANT TO TRY ANOTHER VERB (Y or N)",I$
770  RETURN
